Jump to content
Welcome to our new Citrix community!
  • 0

Update Storefront from 7.15 CU2 to 7.15 CU4 or CU5 not work


Christian Hock

Question

Hello Forum,

 

we want to upgrade to Storefront from version 7.15 CU2 (3.12.2000.8) to 7.15 CU5.

The setup exist with a Citrix Extensible Meta-Installer error (Code1603).

We edit the file Citrx.Deliver........Transition.ServiceHost.exe and change the the version in all lines from 3.6.0.0 to 3.12.0.0 an stop all Citrix services and the Microsoft WWW-Service.

But the error is the same.

What we have tried so far:

  • Change Citrx.Deliver........Transition.ServiceHost.exe line 4 with 3.12.0.0 and 3.6.0.0
  • Stop the Citrix ApplicationPools on the IIS
  • Stop all AV Services
  • Delete Folder "programdata\Citrix\Storefront Install

In the attached file is the eror from the CitrixMSI error log.

Can anyone help us?

Thanks.

 

Regards

Chris

Citrix-DeliveryServicesSetup.jpg

CitrixMSI.jpg

Link to comment

2 answers to this question

Recommended Posts

  • 0

Hi @Christian Hock,

 

Looking at the logs you have provided it seems before upgrading Storefront you need to close some of the storefront folders which you have opened. Those folders are not allowing you to upgrade storefront. Also, the log mentions you have configured Receiver for HTML5 is configured for receiver for website. Please uninstall receiver for HTML5 and then try again. Also you need to close all programs, management console and active powershell consoles and then try the upgrade again.

 

Regards,

Apoorv

Link to comment

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...